@import url("https://fonts.googleapis.com/css?family=Poppins:400,500,700");
* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
}

:root {
   --primary-color: #edf2fc;
   --secondary-color: #A42323;
   --thirdary-color: #1b1e23;
}

.dark-theme {
   --primary-color: #000106;
   --secondary-color: #A42323;
   --thirdary-color: #fff;
}

/* Scroolbar styles
/* width */
::-webkit-scrollbar {
  width: 20px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey; 
  border-radius: 10px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--secondary-color); 
  border-radius: 10px;
}

body {
   font-family: 'Poppins', sans-serif;
   display: flex;
   overflow-x: hidden;
   background-color: var(--primary-color);
}

.hero {
   height: 100vh;
   width: 100vw;
   position: relative;
   /* background-color: var(--primary-color); */
}

nav {
   width: 85%;
   margin: auto;
   padding: 20px 0;
   display: flex;
   align-items: center;
   justify-content: space-between;
}

.logo {
   width: 100px;
   cursor: pointer;
}

#icon {
   width: 25px;
   cursor: pointer;
   padding-top: 20px;
}

.menu-icon {
   display: none;
}



ul {
   flex: 1;
   display: flex;
   justify-content:flex-end ;
}

ul li {
  list-style: none;

}

ul li a {
  position: relative;
  /* display: block; */
  padding: 10px 20px;
  margin: 20px 0;
  text-decoration: none;
  text-transform: uppercase;
  color: var(--thirdary-color);
  font-weight: bold;
  transition: .5s;
}

ul li a:hover {
  color: var(--primary-color);
}

ul li a:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-top: 1px solid var(--secondary-color);
  border-bottom: 1px solid var(--secondary-color);
  transform: scaleY(2);
  opacity: 0;
  transition: .5s;
  z-index: -1;
}

ul li a:hover:before {
  transform: scaleY(1.2);
  opacity: 1;
}

ul li a:after {
  content: '';
  position: absolute;
  top: 1px;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--secondary-color);
  transform: scale(0);
  transition: .5s;
   z-index: -1;
}

ul li a:hover:after {
  transform: scale(1);
}

.container {
   display: flex;
   justify-content: center;
   flex-wrap: wrap;
}

.column {
  flex: 2; /* this will make each column take up an equal amount of space */
  padding: 1em; /* add some padding to the columns */

}

.info {
   margin-left: 8%;
   margin-top: 15%;
   padding: 0 1em;
}

.info h1 {
   font-size: 50px;
   color: var(--thirdary-color);
   margin-bottom: 20px;
}

.portfolio h1 {
   font-size: 50px;
   color: var(--thirdary-color);
   margin-bottom: 20px;
}

.portfolio p {
   color: var(--thirdary-color);
}

span {
   color: var(--secondary-color);
   font-weight: bold;
}

.info p {
   color: var(--thirdary-color);
   line-height: 22px;
   overflow-wrap: normal;
   padding: 15px;
}

.info .button {
	font-size: 15px;
   font-family: 'Poppins', sans-serif;
   text-decoration: none;
	padding: 10px 18px;
	margin: 10px;
	border: 0;
	cursor: pointer;
	color: var(--primary-color);
   background-color: var(--thirdary-color);
	border-radius: 10px;
	display: inline-block;
	overflow: hidden;
}

.button::before {
	content: "";
	position: absolute;
	z-index: -1;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0;
}

.button {
	background: var(--primary-color);
	transform: perspective(1px) translateZ(0);
	color: var(--primary-color);
	transition: 0.4s;
}

.button::before {
	background: var(--secondary-color);
	clip-path: inset(0 100% 0 0);
	opacity: 1;
	transition: 0.4s;
}

.button:hover::before {
	clip-path: inset(0 0 0 0);
}

.button:hover {
	color: var(--thirdary-color);
	box-shadow: 0 0 0 10px rgba(250, 250, 250, 0.1)
}

img {
   display: block;
   max-width: 100%;
}

.img-container {
   position: relative;
   top: 0;
   left: 0;
}

.back-img {
   position: relative;
   top: 0;
   left: 0;
}

.front-img {
  position: absolute;
  top: 0;
  left: 0;
}

.img-shadow {
   box-shadow: 10px 10px 5px #808080;
   border-radius: 3%;
}

/* Portfolio Section CSS*/
.card {
   background-color: var(--secondary-color);
   color: #edf2fc;
   width: 350px;
   margin: 10px;
   border-radius: 15px;
}

.card-image {
   height: 170px;
   margin-bottom: 15px;
   background-size: cover;
   border-radius: 15px 15px 0 0;
}

.card h2 {
   padding: 10px;
}

.card p {
   padding: 10px;
}

.card a {
   background-color: var(--thirdary-color);
   color: var(--primary-color);
   padding:15px 20px;
   display: flex;
   justify-content: center;        
   margin: 20px 50px;
   text-decoration: none;
   border-radius: 5px;
}

.card a:hover {
   color: var(--secondary-color);
   background-color: var(--primary-color);
   transition: 0.5s;
}

.project-1 {
   background-image: url('/images/project1.png');
}

.project-2 {
   background-image: url('/images/coding2.jpg');
}

.project-3 {
   background-image: url('/images/coding4.jpg');
}

/* Media Queries for mobile and smaller screens responsive */

/* make the columns stack vertically on smaller screens */
@media (max-width: 600px) {
  .column {
    flex-basis: 100%; /* take up the full width of the container */
  }
}

@media all and (max-width:650px) 
{
   .logo {
   width: 50px;
   cursor: pointer;
   }
   
   ul {
      width: 100%;
      background-color: var(--secondary-color);
      position: absolute;
      text-align: center;
      top: 75px;
      right: 0;
      z-index: 2;
      display: block;
   }

   ul li {
      margin-top: 10px;
      margin-bottom: 10px;
   }

   ul li a {
   color: var(--thirdary-color);
   flex: none;
   }

   nav ul li a:hover {
   color: var(--primary-color);
   transition: 0.5s;
}
   .menu-icon {
      height: 45px;
      width: 45px;
      display: flex;
      cursor: pointer;
   }

   #icon {
   padding-top: 0px;
   }

   #menuList {
      overflow: hidden;
      transition: 0.5s;
   }

   .info h1 {
   font-size: 40px;
   text-align: center;
   }

   br {
      display: none;
   }
   
   .info p {
      font-size: 15px;
      overflow-wrap: normal;
      
   }
   
   .info a {
      font-size: 15px;
   }

   .portfolio h1 {
      font-size: 40px;
      margin-left: 8%;
      margin-top: 15%;
      padding: 0 1em;
      text-align: center;
   }

   .portfolio p {
      font-size: 15px;
      text-align: center;
      padding: 15px;
      color: var(--thirdary-color);
   }

   .back-img {
      left: 0;
   }

   .front-img {
      left: 0;
   }

}